%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-1.1.1
%global pypi_name devpi-web

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        2.2.1
Release:        1%{?dist}
Summary:        devpi-web: a web view for devpi-server

License:        MIT
URL:            http://doc.devpi.net
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
BuildRequires:  %{?scl_prefix}python-devpi-server-devel
BuildRequires:  %{?scl_prefix}python-pytest
BuildRequires:  %{?scl_prefix}python-webtest

BuildRequires:  %{?scl_prefix}python-beautifulsoup4 >= 4.3.2
BuildRequires:  %{?scl_prefix}python-devpi-common >= 2.0.3
BuildRequires:  %{?scl_prefix}python-devpi-server >= 2.1.2
BuildRequires:  %{?scl_prefix}python-docutils >= 0.11
BuildRequires:  %{?scl_prefix}python-pygments >= 1.6
BuildRequires:  %{?scl_prefix}python-pyramid
BuildRequires:  %{?scl_prefix}python-pyramid-chameleon
BuildRequires:  %{?scl_prefix}python-whoosh
 
Requires:       %{?scl_prefix_python}python-setuptools
Requires:       %{?scl_prefix}python-beautifulsoup4 >= 4.3.2
Requires:       %{?scl_prefix}python-devpi-common >= 2.0.3
Requires:       %{?scl_prefix}python-devpi-server >= 2.1.2
Requires:       %{?scl_prefix}python-docutils >= 0.11
Requires:       %{?scl_prefix}python-pygments >= 1.6
Requires:       %{?scl_prefix}python-pyramid
Requires:       %{?scl_prefix}python-pyramid-chameleon
Requires:       %{?scl_prefix}python-whoosh

%description
A web view for devpi-server.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install --skip-build --root %{buildroot}
%{?scl:EOF}

%check
# remove tox.ini, since it makes pytest run with --pep8 and other options we don't want
rm tox.ini
%{?scl:scl enable %{scl} - << \EOF}
PYTHONPATH=%{buildroot}%{python_sitelib}:$PYTHONPATH py.test tests
%{?scl:EOF}

%files
%doc 
%{python_sitelib}/devpi_web
%{python_sitelib}/devpi_web-%{version}-py?.?.egg-info

%changelog
* Fri Oct 31 2014 Slavek Kabrda <bkabrda@redhat.com> - 2.2.1-1
- Initial package.
